package solutions.bitbadger.documents.groovy.jvm.integration.postgresql

import org.junit.jupiter.api.DisplayName
import org.junit.jupiter.api.Test
import solutions.bitbadger.documents.groovy.jvm.integration.common.CountFunctions
import solutions.bitbadger.documents.jvm.integration.postgresql.PgDB

/**
 * PostgreSQL integration tests for the `Count` object / `count*` connection extension functions
 */
@DisplayName("JVM | Groovy | PostgreSQL: Count")
class CountIT {

    @Test
    @DisplayName("all counts all documents")
    void all() {
        PgDB db = new PgDB()
        try {
            CountFunctions.all(db)
        } finally {
            db.close()
        }
    }

}
